<template>
	<mobile-frame>
		<view class="main">
			<view class="one">
				<scroll-view scroll-y="true" class="scroll-view">
					<view class="list-scroll-view">
						<view class="one_1" @tap="toChoose">
							<text class="localicon iconfont icon-dingweixiao"></text>
							<view class="other" v-if="address._id">
								<view class="name">
									<text>{{address.name}},</text>{{address.phone}}
								</view>
								<view class="other_1">
									<text>{{address.province}}</text><text>{{address.city}}</text>
									<text>{{address.area}}</text><text>{{address.address}}</text>
								</view>
							</view>
							<view class="address" v-else><text>请选择一个收货地址</text></view>
							<text class="iconfont icon-jiantouyou"></text>
						</view>
						<view class="one_2">
							<view class="list" v-for="(item,index) in orderList" :key="index">
								<view class="list_1" v-if="item.is_set=='0'">
									<view class="r">
										<text class="set">套装</text> {{item.name}}
									</view>
								</view>
								<view class="list_1" v-else>
									<view class="l">
										<text class="iconfont icon-shangdian"></text>
										<text>{{item.shop_name}}</text>
									</view>
								</view>
								<view class="list_2" v-for="(tag,index) in item.goods" :key="index">
									<view class="list_2_1">
										<view class="l">
											<image class="image" :src="tag.file&&tag.file.length>0?tag.file[0].url:''"
												mode=""></image>
										</view>
										<view class="c">
											<view class="name">
												{{tag.goods_name}}
											</view>
											<view class="Spec" v-if="item.is_set=='0'">
												规格:{{tag.spec_name}}
											</view>
											<view class="Spec" v-else>
												规格:{{tag.goodsSpec_name}}
											</view>
											<view class="label">
												<text v-if="tag.gift&&tag.gift.length>0" class="label_1">赠品</text>
												<text v-if="tag.sp_price" class="label_2">特价</text>
											</view>
										</view>
										<view class="r" v-if="item.is_set=='0'">
											<view>{{tag.set_num}}件/套x{{tag.set_num}}</view>
										</view>
										<view class="r" v-else>
											<view class="price" v-if="type=='0'">
												¥{{tag.price}}
											</view>
											<view v-else class="price">
												¥{{tag.group_sell_money}}
											</view>
											<view class="num">
												×{{tag.num}}
											</view>
										</view>
									</view>
									<view class="list_2_2" v-if="tag.gift&&tag.gift.length>0">赠品</view>
									<view class="list_2_3" v-if="tag.gift&&tag.gift.length>0" v-for="(tags,indexx) in tag.gift"
										:key="indexx">
										<view class="left">
											<view class="name">
												{{tags.goods_name}}
											</view>
											<view class="Spec">
												规格:{{tags.spec_name}}
											</view>
											<view class="Spec">
												说明:{{tags.desc}}
											</view>
										</view>
										<view class="right">
											<view class="price">
												¥{{tags.money||0}}
											</view>
											<view class="num">
												×{{tags.num}}
											</view>
										</view>
									</view>
								</view>
								<view class="list_3">
									<view class="other" v-if="item.is_set=='0'">
										<view class="other_1">单价：￥{{item.sell_money}}</view>
										<view class="other_2">数量：×{{item.num}}</view>
									</view>
									<view class="other">
										<view class="other_1">配送方式</view>
										<view class="other_2"><text class="iconfont icon-duihao"></text>快递配送</view>
									</view>
									<view class="other">
										<view class="other_1">运费</view>
										<view class="other_2" v-if="!item.freight_total==0">￥{{item.freight_total}}
										</view>
										<view class="other_2" v-else>包邮</view>
									</view>
									<view class="other">
										<view class="other_1">订单备注</view>
										<view class="other_3">
											<input type="text" v-model="item.remarks" placeholder="选填,可填写您与卖家达成一致的要求" />
										</view>
									</view>
								</view>
							</view>
							<view class="other" v-for="(item,index) in total_detail" :key="index">
								<view class="other_1">{{item.zh}}</view>
								<view class="other_2">￥{{item.money}}</view>
							</view>
							<view class="other" v-if="type=='0'">
								<view class="other_1">优惠劵</view>
								<view class="other_2" @click="toCoupon" v-if="couponList.length">
									{{coupon_name||'请选择优惠劵'}}
								</view>
								<view class="other_2" v-else>暂无优惠劵使用</view>
							</view>
							<view class="other" v-if="total>0&&actInfo" @tap="toAddGoods">
								<view class="other_1">加购商品</view>
								<view class="other_4">去加购></view>
							</view>
							<view class="act" v-if="plus_goods.length>0">
								<view class="act_1">您已选择商品为</view>
								<view class="act_2">
									<view class="plusList" v-for="(item,index) in plusList" :key="index">
										<image class="image" :src="item.file.length>0?item.file[0].url:item.file[0].url"
											mode="aspectFill"></image>
										<view class="name">{{item.goods_name}}</view>
										<view class="money">
											<text class="text_1">￥{{item.flow_money}}</text>
											<text class="text_2">￥{{item.config.plus_money||item.sell_money}}</text>
										</view>
									</view>
									<view class="bottom" @tap="toOpen">
										<text v-if="plus_goods.length>3"
											:class="[change==false?'iconfont icon-xiajiantou-copy':'iconfont icon-shangjiantou-copy']"></text>
									</view>
								</view>
							</view>
						</view>
					</view>
				</scroll-view>
			</view>
			<view class="two">
				<view class="two_1">
					<view>实付金额:</view>
					<view>￥{{goods_total}}</view>
				</view>
				<view class="two_2">
					<text @tap="toSubmit">提交订单</text>
				</view>
			</view>
		</view>
		<uni-popup ref="popup" background-color="#fff" type="bottom">
			<view class="popup" v-if="popup.type=='1'">
				<scroll-view scroll-y="true" class="scroll-view">
					<discount :Style="Style" :couponList="couponList" @toDiscount="toDiscount"></discount>
				</scroll-view>
			</view>
		</uni-popup>
		<uni-drawer ref="showRight" :mask="false" :width="width" mode="right" :mask-click="false">
			<scroll-view scroll-y="true" class="scroll-view" @scrolltolower="toPage">
				<view class="act">
					<view class="act_1">
						订单已满<text>{{actInfo.plus_money}}</text>元，为你推荐优惠商品搭配
					</view>
					<view class="act_2">
						<checkbox-group @change="checkboxChange">
							<label class="actList" v-for="(item,index) in actList" :key="index">
								<image class="image" :src="item.file.length>0?item.file[0].url:item.file[0].url"
									mode="aspectFill"></image>
								<view class="name">
									<view class="some">{{item.goods_name}}</view>
									<view class="some">店铺：{{item.shop_name}}</view>
									<view class="some">规格：{{item.spec_name}}</view>
								</view>
								<view class="money">
									<text class="text_1">￥{{item.flow_money||0}}</text>
									<text class="text_2">￥{{item.config.plus_money||item.sell_money}}</text>
								</view>
								<view class="checkbox">
									<checkbox color="#FB1438" style="transform:scale(0.7)" :value="item._id"
										:checked="item.checked" />
								</view>
							</label>
						</checkbox-group>
					</view>
					<view class="bottom">
						<button @click="closeDrawer('define')" size="mini">确认加购</button>
						<button @click="closeDrawer('cancel')" size="mini">取消加购</button>
					</view>
				</view>
			</scroll-view>
		</uni-drawer>
	</mobile-frame>
</template>

<script>
	const _ = require('lodash');
	import discount from '@/components/discount/index.vue';
	export default {
		components: {
			discount
		},
		data() {
			return {
				// 设备平台信息
				system: {},
				popup: {
					type: '1'
				},
				Style: {
					btn: true
				},
				user: {},
				key: '',
				address: {},
				orderList: [],
				shop: [],
				goods_total: 0,
				// 金额明细
				total_detail: [],
				// 收货地址
				addressList: [],
				// 优惠劵
				couponList: [],
				coupon: [],
				// 优惠劵名称
				coupon_name: '',
				// 是否开团
				type: '0',
				// 团id
				group_id: '',
				// 分享人id
				inviter: '',
				// 活动商品
				actList: [],
				// 加价购活动
				actInfo: {},
				// 加购商品
				plus_goods: [],
				total: 0,
				page: 0,
				skip: 0,
				limit: 10,
				// 抽屉
				width: '100%',
				change: false,
				// 显示加购商品
				plus_total: 3,
				disabled: false
			};
		},
		onLoad: function(e) {
			const that = this;
			uni.$on("id", async (id) => {
				let arr = await that.$api(`/address/${id}`, `GET`)
				if (arr.errcode == '0') {
					that.$set(that, `address`, arr.data)
				}
			})
			that.$set(that, `key`, e.key || '');
			that.$set(that, `group_id`, e.group_id || '');
			that.watchLogin()
		},
		computed: {
			plusList() { // 计算属性使用切片生成新数组
				let data = [];
				// 大于三条，使用切片，返回新数组
				if (this.plus_goods.length > 3) {
					data = this.plus_goods.slice(0, this.plus_total);
					return data;
				} else {
					// 否则使用原来数组，不进行切片处理
					data = this.plus_goods
					return data;
				}
			},
		},
		methods: {
			// 监听用户是否登录
			watchLogin() {
				const that = this;
				uni.getStorage({
					key: 'token',
					success: function(res) {
						let user = that.$jwt(res.data);
						that.$set(that, `user`, user);
						// 设备平台信息
						let config = that.$config;
						that.$set(that, `system`, config.system);
						that.search()
					},
					fail: function(err) {
						uni.navigateTo({
							url: `/pages/login/index`
						})
					}
				})
			},
			// 查询列表
			async search() {
				const that = this;
				let user = that.user;
				const res = await that.$api(`/address`, 'GET', {
					customer: user._id
				})
				if (res.errcode == '0') {
					that.$set(that, `addressList`, res.data.reverse());
				}
				const arr = await that.$api(`/order/toMakeOrder`, 'POST', {
					key: that.key
				})
				if (arr.errcode == '0') {
					// 查询活动商品列表
					let act;
					act = arr.data.actList.find(i => i.platform_act_type == '4')
					if (act) {
						that.searchAct(act);
						that.$set(that, `actInfo`, act);
						arr.data.orderTotal.push({
							zh: "加购总价",
							key: 'plus',
							money: 0
						})
					}
					// 分享人id
					that.$set(that, `inviter`, arr.data.inviter);
					// 地址
					that.$set(that, `address`, arr.data.address);
					// 订单
					that.$set(that, `orderList`, arr.data.goodsData);
					// 总价
					that.$set(that, `total_detail`, arr.data.orderTotal);
					that.$set(that, `type`, arr.data.type);
					that.computedTotal();
					// 优惠劵
					that.$set(that, `couponList`, arr.data.couponList);
				}
			},
			// 查询活动商品列表
			async searchAct(e) {
				const that = this;
				let platform_act = e.platform_act;
				let info = {
					skip: that.skip,
					limit: that.limit,
					platform_act: platform_act,
					goods_type: 'plus'
				}
				let res = await that.$api(`/goodsJoinAct`, 'GET', {
					...info,
				})
				if (res.errcode == '0') {
					let list = [...that.actList, ...res.data];
					that.$set(that, `actList`, list)
					that.$set(that, `total`, res.total)
				}
			},
			// 使用优惠劵
			toDiscount(e) {
				const that = this;
				that.$set(that, 'coupon_name', e.name)
				that.coupon.push(e._id)
				that.$refs.popup.close();
				that.computedTotal();
			},
			// 选择收货地址
			toChoose() {
				const that = this;
				if (that.address?._id) {
					uni.navigateTo({
						url: `/pagesMy/address/index?type=${"shopping"}&id=${that.address._id}`
					})
				} else {
					uni.navigateTo({
						url: `/pagesMy/address/index?type=${"shopping"}`
					})
				}
			},
			// 选择优惠劵
			toCoupon() {
				const that = this;
				that.$set(that.popup, 'type', '1')
				that.$set(that, 'coupon', [])
				that.$refs.popup.open();
			},
			// 选择活动商品
			checkboxChange(e) {
				const that = this;
				var actList = that.actList,
					values = e.detail.value;
				for (var i = 0, lenI = actList.length; i < lenI; ++i) {
					const item = actList[i]
					if (values.includes(item._id)) that.$set(item, 'checked', true)
					else that.$set(item, 'checked', false)
				}
			},
			// 选择加购产品
			toAddGoods() {
				const that = this;
				that.$set(that, 'plus_goods', [])
				that.$refs.showRight.open();
			},
			// 关闭抽屉
			closeDrawer(e) {
				const that = this;
				if (e == 'cancel') {
					for (let val of that.actList) {
						if (val.checked == true) val.checked = false
					}
					for (let arr of that.total_detail) {
						if (arr.key == 'plus') arr.money = 0
					}
					that.$set(that, 'plus_goods', []);
					that.computedTotal();
					that.$refs.showRight.close();
				} else {
					// 选购中商品
					let plus_goods = that.actList.filter(item => item.checked == true)
					if (plus_goods) {
						let plus_total = 0;
						for (let arr of that.total_detail) {
							if (arr.key == 'plus') {
								for (let val of plus_goods) {
									if (val.config.plus_money) plus_total = that.$plus(plus_total, val.config.plus_money)
									else plus_total = that.$plus(plus_total, val.sell_money)
								}
								arr.money = plus_total
							}
						}
					}
					that.$set(that, 'plus_goods', plus_goods);
					that.computedTotal();
					that.$refs.showRight.close();
				}
			},
			// 显示
			toOpen() {
				const that = this;
				if (that.plus_goods.length > that.plus_total) {
					// 每次点击加三条 
					that.plus_total += 3;
					that.$set(that, 'change', true);
				} else {
					that.$set(that, `plus_total`, 3)
					that.$set(that, `change`, false)
				}
			},
			// 分页
			toPage() {
				const that = this;
				let list = that.actList;
				let actInfo = that.actInfo;
				let limit = that.limit;
				if (that.total > list.length) {
					uni.showLoading({
						title: '加载中',
						mask: true
					})
					let page = that.page + 1;
					that.$set(that, `page`, page)
					let skip = page * limit;
					that.$set(that, `skip`, skip)
					that.searchAct(actInfo);
					uni.hideLoading();
				}
			},
			// 提交订单
			async toSubmit() {
				const that = this;
				let system = that.system;
				if (that.disabled) return;
				that.$set(that, `disabled`, true);
				if (that.address) {
					// 过滤图片
					let order = _.cloneDeep(that.orderList);
					for (let val of order) {
						val.goods = val.goods.map(i => {
							delete i.file
							return i
						})
					}
					let obj = {
						address: that.address,
						goods: order,
						total_detail: that.total_detail,
						coupon: that.coupon,
						type: that.type,
						inviter: that.inviter,
						plus_goods: that.plus_goods
					}
					if (that.group_id) obj.group = that.group_id;
					// 创建订单
					let p1 = await that.$api(`/order`, 'POST', obj);
					if (p1.errcode == '0') {
						if (system.uniPlatform == "mp-weixin") {
							// 微信支付
							uni.showLoading({
								title: '加载中'
							})
							// 支付信息
							let p2 = await that.$api('/pay/toPayOrder', 'POST', {
								order_id: p1.data,
								type: '0'
							})
							if (p2.errcode == '0' && p2.data.paySign) {
								uni.requestPayment({
									"provider": "wxpay",
									...p2.data,
									success: async function(res) {
										// 获取团信息
										let p3 = await that.$api('/group/getGroup', 'GET', {
											order_id: p1.data,
										})
										if (p3.errcode == '0') {
											uni.hideLoading();
											if (p3.data) {
												uni.reLaunch({
													url: `/pagesHome/group/share?id=${p3.data}`
												})
											} else {
												uni.reLaunch({
													url: `/pagesMy/order/index?status=${'1'}`
												})
											}
										} else {
											that.$set(that, `disabled`, false);
											uni.showToast({
												title: p3.errmsg,
												icon: 'none'
											})
										}
									},
									fail: function(err) {
										that.$set(that, `disabled`, false);
										uni.showToast({
											title: `支付失败`,
											icon: 'none'
										})
										uni.hideLoading();
										uni.reLaunch({
											url: `/pagesMy/order/index?status=${'0'}`
										})
									}
								})
							} else {
								uni.showToast({
									title: p2.errmsg,
									icon: 'none'
								})
							}
						} else if (system.uniPlatform == "app") {
							uni.requestPayment({
								provider: 'alipay',
								orderInfo: 'orderInfo',
								success: function(res) {
									console.log('success:' + JSON.stringify(res));
								},
								fail: function(err) {
									console.log('fail:' + JSON.stringify(err));
								}
							});
						} else {
							uni.showToast({
								title: `平台不支持支付`,
								icon: 'none'
							})
						}
					} else {
						uni.showToast({
							title: p1.errmsg,
							icon: 'none'
						})
					}
				} else {
					uni.showToast({
						title: `没有收货地址`,
						icon: 'none'
					})
				}
			},
			// 计算优惠券
			async computedTotal() {
				const total_detail = this.total_detail;
				let total = 0;
				for (let val of total_detail) total = this.$plus(total, val.money)
				if (this.coupon.length > 0) {
					let discount = 0;
					for (const coupon of this.coupon) {
						const r = this.couponList.find(f => f._id === coupon)
						if (!r) continue;
						const {
							discount_config,
							discount_type
						} = r;
						if (discount_type === 'min') {
							const min = discount_config.min;
							discount = this.$plus(discount, min)
						} else if (discount_type === 'discount') {
							const min = discount_config.min || 0;
							let discount_money = 0;
							const max = discount_config.max || 0;
							// TODO 现在是平台发放的优惠券,所以可以直接用总价*折扣,如果是店铺的折扣券,则需要将金额分开,对应店铺计算折扣
							// const dm = min / 10 * total;
							const dm = this.$multiply(this.divide(min, 10), total)
							if (max !== 0) {
								if (max > dm) discount_money = dm;
								else discount_money = max
							}
							discount += discount_money
						}
					}
					total = this.$minus(total, discount)
				}
				if (total >= 0) {
					this.$set(this, `goods_total`, total);
				} else {
					uni.showToast({
						title: `实付金额不能为负数 不能使用该优惠劵`,
						icon: 'none'
					})
				}
			}
		}
	}
</script>

<style lang="scss">
	.main {
		display: flex;
		flex-direction: column;
		width: 100vw;
		height: 100vh;

		.one {
			position: relative;
			flex-grow: 1;
			background-color: var(--f1Color);

			.one_1 {
				display: flex;
				justify-content: space-between;
				align-items: center;
				width: 100vw;
				padding: 2vw;
				border-bottom: 1vw dashed var(--fcColor);

				.address {
					flex-grow: 1;
					margin: 0 0 0 2vw;
					font-size: var(--font14Size);
					color: var(--f85Color);
				}

				.iconfont {
					font-size: var(--font20Szie);
				}

				.other {
					width: 82vw;
					padding: 0 2vw;

					.name {
						font-size: var(--font16Size);
					}

					.other_1 {
						font-size: var(--font14Size);
						color: var(--f85Color);

						text {
							margin: 0 1vw 0 0;
						}
					}
				}
			}

			.one_2 {
				.list {
					width: 100vw;
					margin: 2vw 0;

					.list_1 {
						padding: 2vw;
						background-color: var(--mainColor);
						border-bottom: 0.1vw solid var(--fcColor);

						text {
							padding: 0 0 0 1vw;
						}

						.r {
							.set {
								margin: 0 1vw 0 0;
								font-size: 12px;
								border-radius: 5px;
								padding: 0 1vw;
								color: #ffffff;
								background-color: #FF6347;
								border: 1px solid #FFA500;
							}
						}
					}

					.list_2 {
						padding: 2vw;
						background-color: var(--mainColor);

						.list_2_1 {
							display: flex;

							.l {
								width: 20vw;

								.image {
									width: 100%;
									height: 20vw;
									border-radius: 5px;
								}
							}

							.c {
								width: 60vw;
								padding: 0 2vw;

								.Spec {
									font-size: var(--font12Size);
									color: var(--f85Color);
								}

								.label {
									display: flex;
									padding: 1vw 0 0 0;

									.label_1 {
										margin: 0 1vw 0 0;
										font-size: 12px;
										color: #FFA500;
										border: 1px solid #FFA500;
										border-radius: 5px;
										padding: 0 1vw;
									}

									.label_2 {
										font-size: 12px;
										border: 1px solid var(--fFB1Color);
										color: var(--fFB1Color);
										border-radius: 5px;
										padding: 0 1vw;
									}
								}
							}

							.r {
								width: 15vw;
								text-align: right;
							}
						}

						.list_2_2 {
							padding: 0 1vw 1vw 0;
							font-size: var(--font14Size);
						}

						.list_2_3 {
							display: flex;
							justify-content: space-between;
							border: 1px solid var(--fcColor);
							border-radius: 5px;
							margin: 0 0 1vw 0;
							padding: 1vw;

							.left {
								.name {
									font-size: 14px;
								}

								.Spec {
									font-size: var(--font12Size);
									color: var(--f85Color);
								}
							}
						}
					}

					.list_3 {
						width: 96vw;
						padding: 2vw;
						background-color: var(--mainColor);

						.other {
							display: flex;
							justify-content: space-between;
							border-bottom: 0.1vw solid var(--fcColor);
							margin: 0 0 2vw 0;
							padding: 2vw 0;

							.other_1 {
								font-size: var(--font16Size);
								color: var(--f85Color);
							}

							.other_3 {
								flex-grow: 1;
								margin: 0 0 0 2vw;
								font-size: var(--font12Size);
							}

							text {
								padding: 0 1vw 0 0;
								font-size: var(--font20Szie);
							}
						}
					}
				}

				.other {
					display: flex;
					justify-content: space-between;
					background-color: var(--mainColor);
					border-bottom: 0.1vw solid var(--fcColor);
					width: 96vw;
					padding: 2vw;

					.other_1 {
						font-size: var(--font16Size);
						color: var(--f85Color);
					}

					.other_3 {
						flex-grow: 1;
						margin: 0 0 0 2vw;
						font-size: var(--font12Size);
					}

					.other_4 {
						color: var(--fFB1Color);
					}

					text {
						padding: 0 1vw 0 0;
						font-size: var(--font20Szie);
					}
				}

				.act {
					background-color: var(--mainColor);
					border-bottom: 0.1vw solid var(--fcColor);
					margin: 0 0 2vw 0;
					width: 96vw;
					padding: 2vw;

					.act_1 {
						font-size: var(--font14Size);
						font-weight: bold;

						text {
							color: #FFA500;
						}
					}

					.act_2 {
						.plusList {
							display: flex;
							margin: 2vw 0;

							.image {
								width: 15vw;
								height: 10vw;
								border: 1px solid #ffffff;
							}

							.name {
								width: 57vw;
								font-size: 12px;
								margin: 0 0 0 1vw;
							}

							.money {
								width: 20vw;

								.text_1 {
									font-size: 12px;
									color: #858585;
									text-decoration: line-through;
								}

								.text_2 {
									font-size: 14px;
									color: var(--fFB1Color);
								}
							}
						}
					}

					.bottom {
						text-align: center;
					}
				}
			}
		}

		.two {
			display: flex;
			justify-content: space-between;
			border-top: 0.1vw solid var(--fcColor);

			.two_1 {
				display: flex;
				align-items: center;
				padding: 0 2vw;
				font-size: var(--font16Size);

				view:last-child {
					margin: 0 0 0 2vw;
					color: var(--fFB1Color);
					font-weight: bold;
				}
			}

			.two_2 {
				padding: 3vw 4vw;
				color: var(--mainColor);
				font-size: var(--font16Size);
				background-color: var(--fFB1Color);
			}
		}
	}

	.scroll-view {
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;

		.list-scroll-view {
			display: flex;
			flex-direction: row;
			flex-wrap: wrap;
		}
	}

	.popup {
		display: flex;
		flex-direction: column;
		height: 100vw;
		overflow-x: hidden;
		background-color: var(--f5Color);
		padding: 2vw;

		.list {
			.one {
				display: flex;
				justify-content: space-between;
				margin: 2vw 0 0 0;
				padding: 2vw;
				background-color: var(--mainColor);

				.name {
					font-size: var(--font16Size);
				}

				.address {
					font-size: var(--font14Size);
				}

				.iconfont {
					line-height: 15vw;
					font-size: var(--font20Szie);
				}
			}

			.two {
				display: flex;
				justify-content: space-between;
				border-top: 0.1vw solid var(--fcColor);
				padding: 2vw;
				background-color: var(--mainColor);
				font-size: var(--font14Size);

				.text {
					margin: 0 2vw 0 0;
					border: 0.1vw solid var(--fFB1Color);
					padding: 1vw;
					font-size: var(--font12Size);
					border-radius: 2vw;
					color: var(--fFB1Color);
				}
			}
		}
	}

	.act {
		background-color: var(--mainColor);
		width: 96vw;
		padding: 2vw;

		.act_1 {
			font-size: var(--font14Size);
			font-weight: bold;

			text {
				color: #FFA500;
			}
		}

		.act_2 {
			margin: 1vw 0;

			.actList {
				display: flex;
				align-items: center;
				margin: 2vw 0;
				border: 0.1vw solid var(--fcColor);
				border-radius: 5px;
				padding: 1vw 0;

				.image {
					width: 12vw;
					height: 10vw;
					border: 1px solid #ffffff;
				}

				.name {
					width: 52vw;
					font-size: 12px;
					margin: 0 0 0 1vw;

					.some {
						display: inline-block;
						white-space: nowrap;
						width: 100%;
						overflow: hidden;
						text-overflow: ellipsis;
					}
				}

				.money {
					width: 20vw;

					.text_1 {
						font-size: 12px;
						color: #858585;
						text-decoration: line-through;
					}

					.text_2 {
						font-size: 13px;
						color: var(--fFB1Color);
					}
				}

				.checkbox {
					width: 7vw;
				}
			}
		}

		.bottom {
			text-align: center;

			button:first-child {
				margin: 0 1vw 0 0;
				background-color: var(--fFB1Color);
				color: #ffffff;
			}
		}
	}
</style>
